<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [enableLog](./bitburner.ns.enablelog.md)

## NS.enableLog() method

Enable logging for a certain function.

**Signature:**

```typescript
enableLog(fn: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | string | Name of function for which to enable logging. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

Re-enables logging for the given function. If `ALL` is passed into this function as an argument, then it will revert the effects of disableLog(`ALL`<!-- -->).

